summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSunmin Lee <sunm.lee@samsung.com>2016-08-24 13:41:41 +0900
committerSunmin Lee <sunm.lee@samsung.com>2016-08-28 22:26:45 -0700
commit7d55bce57285b8a88d27a0a0b36ba4524fa0c44f (patch)
tree4ed25a30b5024327242d85410f2b8096e7e24034
parentdaf33e1ffd2d7f2be4d63e67114729541ab1d260 (diff)
downloadsystem-plugin-7d55bce57285b8a88d27a0a0b36ba4524fa0c44f.tar.gz
system-plugin-7d55bce57285b8a88d27a0a0b36ba4524fa0c44f.tar.bz2
system-plugin-7d55bce57285b8a88d27a0a0b36ba4524fa0c44f.zip
Upgrade: Mount user partition in upgrade mode
The lazy mount makes user partition mounted separately. For RW update, user partition also should be mounted. This is done in the start of upgrade. Change-Id: I3db70f3bb698d22371747530c545145836b57e09 Signed-off-by: Sunmin Lee <sunm.lee@samsung.com>
-rwxr-xr-xupgrade/update-init.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/upgrade/update-init.sh b/upgrade/update-init.sh
index 54bcf64..a627987 100755
--- a/upgrade/update-init.sh
+++ b/upgrade/update-init.sh
@@ -5,6 +5,17 @@
PATH=/bin:/usr/bin:/sbin:/usr/sbin
OWNER_HOME=/opt/usr/home/owner
+USER_DISK=`ls /dev/disk/by-partlabel/ | grep -i user`
+USER_MNT=/opt/usr
+
+# Mount user partition (specific to lazy mount)
+mount | grep "$USER_MNT" > /dev/null
+
+if [ $? != "0" ]
+then
+ /usr/bin/mount PARTLABEL=$USER_DISK $USER_MNT
+fi
+
# Create home directory
test ! -e /opt/usr/home && mkdir -p /opt/usr/home